shinyUI(fluidPage(

  titlePanel("Visualizing Different Probability Distributions"),
  
  
  sidebarLayout(
    sidebarPanel(
     radioButtons("whichgraph", "Type of Graphics",
           c("base" = "base","ggplot2" = "ggplot2"),inline=TRUE),
           uiOutput("checkGraph"),      
    selectInput("dataset", "Choose a Distribution:", 
              choices = c("Normal","Pick your own")),
    conditionalPanel( condition = "input.dataset == 'Normal'",
        numericInput("mu","Population Mean",value=0),   
        numericInput("s","Population Standard Deviation",value=1)),
    conditionalPanel( condition = "input.dataset == 'Pick your own'",
        textInput("dist","Distribution? Use R name"),
        selectInput("npar","Number of Parameters?",choices=1:2),
        numericInput("par1","Parameter 1",value=1)),        
    conditionalPanel( condition = "input.npar>1",
        numericInput("par2","Parameter 2",value=1)),        
    conditionalPanel( condition = "input.mytabs == 1",    
    numericInput("n", "Number of Observations:", 500,
             min = 10, max = 1e5)),
      uiOutput("appinfo"),width=3                  
    ),
  mainPanel(
      tabsetPanel(
          tabPanel("Data Graphs",plotOutput("plot1"),value=1),
          tabPanel("Theoretical Distribution",plotOutput("plot2"),value=2),
          id="mytabs"
      )
    )  
  )
))

